<?php
/* Note : Custom CSS are dynamically loaded, as they should NOT rely on cache ('cause this would break per-view settings)
 * This view can be cached
*/

global $CONFIG;
$imgroot = $CONFIG->url . 'mod/slider/graphics/';
$include_url = dirname(dirname(dirname(dirname(__FILE__)))) . '/vendors/anythingslider/';
$vendor_url = $CONFIG->url . 'mod/slider/vendors/anythingslider/';

// Vendor CSS are directly added below because relative URLs won't match otherwise...
include($include_url . 'css/animate.css');
?>

<?php
/* Note : pb avec les URL relatives des images : reprendre ici la bonne CSS et corriger les liens
include($include_url . 'css/anythingslider.css');
include($include_url . 'css/metallic.css');
include($include_url . 'css/minimalist-round.css');
include($include_url . 'css/minimalist-square.css');
include($include_url . 'css/cs-portfolio.css');
include($include_url . 'css/construction.css');
*/
?>
/*
	AnythingSlider v1.8+ Default theme
	By Chris Coyier: http://css-tricks.com
	with major improvements by Doug Neiner: http://pixelgraphics.us/
	based on work by Remy Sharp: http://jqueryfordesigners.com/
*/

/*****************************
  SET DEFAULT DIMENSIONS HERE
 *****************************/
/* change the ID & dimensions to match your slider */
#slider {
	width: 980px;
	height: 310px;
	list-style: none;
	/* Prevent FOUC (see FAQ page) and keep things readable if javascript is disabled */
	overflow-y: auto;
	overflow-x: hidden;
}

/******************
  SET STYLING HERE
 ******************
 =================================
 Default state (no keyboard focus)
 ==================================*/
/* Overall Wrapper */
.anythingSlider-default {
	margin: 0 auto;
	/* 45px right & left padding for the arrows, 28px @ bottom for navigation */
	padding: 0 45px 28px 45px;
}
/* slider window - top & bottom borders, default state */
.anythingSlider-default .anythingWindow {
	border-top: 3px solid #777;
	border-bottom: 3px solid #777;
}
/* Navigation buttons + start/stop button, default state */
.anythingSlider-default .anythingControls a {
	/* top shadow */
	background: #777 url(<?php echo $vendor_url; ?>images/default.png) center -288px repeat-x;
	color: #000;
	border-radius: 0 0 5px 5px;
	-moz-border-radius: 0 0 5px 5px;
	-webkit-border-radius: 0 0 5px 5px;
}
/* Make sure navigation text is visible */
.anythingSlider-default .anythingControls a span {
	visibility: visible;
}
/* Navigation current button, default state */
.anythingSlider-default .anythingControls a.cur {
	background: #888;
	color: #000;
}

/* start-stop button, stopped, default state */
.anythingSlider-default .anythingControls a.start-stop {
	background-color: #040;
	color: #ddd;
}
/* start-stop button, playing, default state */
.anythingSlider-default .anythingControls a.start-stop.playing {
	background-color: #800;
}

/* start-stop button, default hovered text color (when visible) */
/* hide nav/start-stop background image shadow on hover - makes the button appear to come forward */
.anythingSlider-default .anythingControls a.start-stop:hover,
.anythingSlider-default .anythingControls a.start-stop.hover,
.anythingSlider-default .anythingControls a.start-stop .anythingControls ul a:hover {
	background-image: none;
	color: #ddd;
}

/*
 =================================
 Active State (has keyboard focus)
 =================================
*/
/* slider window - top & bottom borders, active state */
.anythingSlider-default.activeSlider .anythingWindow {
	border-color: #7C9127;
}
/* Navigation buttons, active state */
.anythingSlider-default.activeSlider .anythingControls a {
	/* background image = top shadow */
	background-color: #7C9127;
}
/* Navigation current & hovered button, active state */
.anythingSlider-default.activeSlider .anythingControls a.cur,
.anythingSlider-default.activeSlider .anythingControls a:hover {
	/* background image removed */
	background: #7C9127;
}

/* start-stop button, stopped, active state */
.anythingSlider-default.activeSlider .anythingControls a.start-stop {
	background-color: #080;
	color: #fff;
}
/* start-stop button, playing, active state */
.anythingSlider-default.activeSlider .anythingControls a.start-stop.playing {
	background-color: #d00;
	color: #fff;
}
/* start-stop button, active slider hovered text color (when visible) */
.anythingSlider-default.activeSlider .start-stop:hover,
.anythingSlider-default.activeSlider .start-stop.hover {
	color: #fff;
}

/************************
  NAVIGATION POSITIONING
 ************************/
/* Navigation Arrows */
.anythingSlider-default .arrow {
	top: 50%;
	position: absolute;
	display: block;
}

.anythingSlider-default .arrow a {
	display: block;
	width: 45px;
	height: 140px;
	margin: -70px 0 0 0; /* half height of image */
	text-align: center;
	outline: 0;
	background: url(<?php echo $vendor_url; ?>images/default.png) no-repeat;
}

/* back arrow */
.anythingSlider-default .back { left: 0; }
.anythingSlider-default .back a { background-position: left top; }
.anythingSlider-default .back a:hover,
.anythingSlider-default .back a.hover { background-position: left -140px; }
/* forward arrow */
.anythingSlider-default .forward { right: 0; }
.anythingSlider-default .forward a { background-position: right top; }
.anythingSlider-default .forward a:hover,
.anythingSlider-default .forward a.hover { background-position: right -140px; }

/* Navigation Links */
.anythingSlider-default .anythingControls { outline: 0; display: none; }
.anythingSlider-default .anythingControls ul { margin: 0; padding: 0; float: left; }
.anythingSlider-default .anythingControls ul li { display: inline; }
.anythingSlider-default .anythingControls ul a {
	font: 11px/18px Georgia, Serif;
	display: inline-block;
	text-decoration: none;
	padding: 2px 8px;
	height: 18px;
	margin: 0 5px 0 0;
	text-align: center;
	outline: 0;
}

/* navigationSize window */
.anythingSlider-default .anythingControls .anythingNavWindow {
	overflow: hidden;
	float: left;
}

/* Autoplay Start/Stop button */
.anythingSlider-default .anythingControls .start-stop {
	padding: 2px 5px;
	width: 40px;
	text-align: center;
	text-decoration: none;
	float: right;
	z-index: 100;
	outline: 0;
}

/***********************
  IE8 AND OLDER STYLING
 ***********************/

/* Navigation Arrows */
.as-oldie .anythingSlider-default .arrow {
	top: 30%;
}
.as-oldie .anythingSlider-default .arrow a {
	margin: 0;
}

/* margin between nav buttons just looks better */
.as-oldie .anythingSlider-default .anythingControls li {
	margin-left: 3px;
}

/* When using the navigationSize option, the side margins need to be zero
	None of the navigation panels look good in IE7 now =( */
.as-oldie .anythingSlider-default .anythingControls a {
	margin: 0;
}
.as-oldie .anythingSlider-default .anythingNavWindow {
	margin: 0 2px;
}
.as-oldie .anythingSlider-default .anythingNavWindow li {
	padding: 3px 0 0 0;
}

/***********************
  COMMON SLIDER STYLING
 ***********************/
/* Overall Wrapper */
.anythingSlider {
	display: block;
	overflow: visible !important;
	position: relative;
}
/* anythingSlider viewport window */
.anythingSlider .anythingWindow {
	overflow: hidden;
	position: relative;
	width: 100%;
	height: 100%;
}
/* anythingSlider base (original element) */
.anythingSlider .anythingBase {
	background: transparent;
	list-style: none;
	position: absolute;
	overflow: visible !important;
	top: 0;
	left: 0;
	margin: 0;
	padding: 0;
}

/* Navigation arrow text; indent moved to span inside "a", for IE7;
  apparently, a negative text-indent on an "a" link moves the link as well as the text */
.anythingSlider .arrow span {
	display: block;
	visibility: hidden;
}
/* disabled arrows, hide or reduce opacity: opacity: .5; filter: alpha(opacity=50); */
.anythingSlider .arrow.disabled {
	display: none;
}
/* all panels inside the slider; horizontal mode */
.anythingSlider .panel {
	background: transparent;
	display: block;
	overflow: hidden;
	float: left;
	padding: 0;
	margin: 0;
}
/* vertical mode */
.anythingSlider .vertical .panel {
	float: none;
}
/* fade mode */
.anythingSlider .fade .panel {
	float: none;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 0;
}
/* fade mode active page - visible & on top */
.anythingSlider .fade .activePage {
	z-index: 1;
}

/***********************
  RTL STYLING
 ***********************/
/* slider autoplay right-to-left, reverse order of nav links to look better */
.anythingSlider.rtl .anythingWindow {
	direction: ltr;
	unicode-bidi: bidi-override;
}
.anythingSlider.rtl .anythingControls ul { float: left; } /* move nav link group to left */
.anythingSlider.rtl .anythingControls ul a { float: right; } /* reverse order of nav links */
.anythingSlider.rtl .start-stop { /* float: right; */ } /* move start/stop button - in case you want to switch sides */

/* probably not necessary, but added just in case */
.anythingSlider,
.anythingSlider .anythingWindow,
.anythingSlider .anythingControls ul a,
.anythingSlider .arrow a,
.anythingSlider .start-stop {
	transition-duration: 0;
	-o-transition-duration: 0;
	-moz-transition-duration: 0;
	-webkit-transition-duration: 0;
}



<?php
//include($include_url . 'css/theme-metallic.css');
?>
/*
	AnythingSlider v1.8+ cs-portfolio theme
	By Curtis Scott (http://www.curtisscott.com/portfolio.html)
***
Note: the nav-cs-portfolio.png used for navigation and slideshow buttons uses a semi-transparent png,
through which the background color is seen... so colors set will turn out darker than normal
***/

/*****************************
  SET DEFAULT DIMENSIONS HERE
 *****************************/
/* change the ID & dimensions to match your slider */
#slider {
	width: 700px;
	height: 390px;
	list-style: none;
	/* Prevent FOUC (see FAQ page) and keep things readable if javascript is disabled */
	overflow-y: auto;
	overflow-x: hidden;
}

/******************
  SET STYLING HERE
 ******************
 =================================
 Default state (no keyboard focus)
 ==================================*/
/* Overall Wrapper */
.anythingSlider-cs-portfolio {
	margin: 0 auto 50px auto; /* added 50px to bottom to accomodate controls */
	padding: 0;
}

/* slider window - top & bottom borders, default state */
.anythingSlider-cs-portfolio .anythingWindow {
	border: 0;
}
/* Navigation buttons + start/stop button, default state */
.anythingSlider-cs-portfolio .anythingControls a {
	background: #fff url(<?php echo $vendor_url; ?>images/cs-portfolio.png) right -20px no-repeat;
	color: #000;
}
/* Navigation current button, default state */
.anythingSlider-cs-portfolio .anythingControls a.cur,
.anythingSlider-cs-portfolio .anythingControls a:hover {
	background-color: #0d5c9f;
	color: #000;
}

/* start-stop button, stopped, default state */
.anythingSlider-cs-portfolio .anythingControls a.start-stop {
	background-color: #080;
	background-position: right top;
	color: #ddd;
}
/* start-stop button, default hovered text color (when visible) */
.anythingSlider-cs-portfolio .anythingControls a.start-stop:hover,
.anythingSlider-cs-portfolio .anythingControls a.start-stop.hover {
	background-color: #0f0;
	color: #fff;
}
/* start-stop button, playing, default state */
.anythingSlider-cs-portfolio .anythingControls a.start-stop.playing {
	background-color: #800;
}
.anythingSlider-cs-portfolio .anythingControls a.start-stop.playing:hover {
	background-color: #f00;
}

/************************
  NAVIGATION POSITIONING
 ************************/
/* Navigation Arrows */
.anythingSlider-cs-portfolio .arrow {
	display: block;
	position: absolute;
	bottom: -38px;
	z-index: 100;
}
.anythingSlider-cs-portfolio .arrow a {
	display: block;
	width: 26px;
	height: 27px;
	text-align: center;
	outline: 0;
	background: url(<?php echo $vendor_url; ?>images/cs-portfolio.png) no-repeat;
}

/* back arrow */
.anythingSlider-cs-portfolio .back { left: 20px; }
.anythingSlider-cs-portfolio .back a { background-position: left top; }
.anythingSlider-cs-portfolio .back a:hover,
.anythingSlider-cs-portfolio .back a.hover { background-position: left -27px; }

/* forward arrow */
.anythingSlider-cs-portfolio .forward { right: 20px; }
.anythingSlider-cs-portfolio .forward a { background-position: -24px top; }
.anythingSlider-cs-portfolio .forward a:hover,
.anythingSlider-cs-portfolio .forward a.hover { background-position: -24px -27px; }

/* Navigation Links */
.anythingSlider-cs-portfolio .anythingControls {
	position: relative;
	background: url(<?php echo $vendor_url; ?>images/cs-portfolio.png) repeat-x bottom center;
	height: 49px;
	margin: 0 auto;
	padding-left: 75px;
	text-align: center;
}
.anythingSlider-cs-portfolio .anythingControls ul {
	margin: 0;
	padding: 0;
	z-index: 100;
}
.anythingSlider-cs-portfolio .anythingControls ul.thumbNav {
	padding-top: 18px;
}
.anythingSlider-cs-portfolio .anythingControls ul li {
	margin: 0;
	padding: 0;
	display: inline;
}
.anythingSlider-cs-portfolio .anythingControls ul a {
	font: 11px/18px Georgia, Serif;
	width: 17px;
	height: 17px;
	margin: 0 5px 0 0;
	padding: 0;
	float: left;
	text-decoration: none;
	text-align: center;
	outline: 0;
	border: 0;
}

/* navigationSize window */
.anythingSlider-cs-portfolio .anythingControls .anythingNavWindow {
	margin: 0 5px 0 0;
	overflow: hidden;
	float: left;
}
.anythingSlider-cs-portfolio .anythingControls li.next a,
.anythingSlider-cs-portfolio .anythingControls li.prev a {
	margin: 19px 5px 0 5px;
	width: 16px;
	height: 15px;
	background: url(<?php echo $vendor_url; ?>images/cs-portfolio.png) -25px -54px no-repeat;
}
.anythingSlider-cs-portfolio .anythingControls li.prev a {
	background-position: -9px -54px;
}
.anythingSlider-cs-portfolio .anythingControls li.next a:hover {
	background-position: -56px -54px;
}
.anythingSlider-cs-portfolio .anythingControls li.prev a:hover {
	background-position: -41px -54px;
}

/* Autoplay Start/Stop button */
.anythingSlider-cs-portfolio .anythingControls .start-stop {
	right: 60px;
	top: 15px;
	margin: 0;
	padding: 0;
	position: absolute;
	text-align: center;
	width: 20px;
	height: 20px;
	z-index: 100;
	border: 0;
}

/***********************
IE8 AND OLDER STYLING
***********************/

/* Navigation Arrows */
.as-oldie .anythingSlider-cs-portfolio .anythingControls a span {
	line-height: 1px; /* needed for IE7 */
}

/* IE7 png fix*/
.as-oldie .anythingSlider-cs-portfolio .arrow a,
.as-oldie .anythingSlider-cs-portfolio .anythingControls,
.as-oldie .anythingSlider-cs-portfolio .anythingControls a {
	_background:none;
	_filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $vendor_url; ?>images/cs-portfolio.png',sizingMethod='crop');
}

/***********************
  COMMON SLIDER STYLING
 ***********************/
/* Overall Wrapper */
.anythingSlider {
	display: block;
	overflow: visible !important;
	position: relative;
}
/* anythingSlider viewport window */
.anythingSlider .anythingWindow {
	overflow: hidden;
	position: relative;
	width: 100%;
	height: 100%;
}
/* anythingSlider base (original element) */
.anythingSlider .anythingBase {
	background: transparent;
	list-style: none;
	position: absolute;
	overflow: visible !important;
	top: 0;
	left: 0;
	margin: 0;
	padding: 0;
}

/* Navigation arrow text; indent moved to span inside "a", for IE7;
  apparently, a negative text-indent on an "a" link moves the link as well as the text */
.anythingSlider .arrow span,
.anythingSlider .anythingControls span {
	display: block;
	visibility: hidden;
}
/* disabled arrows, hide or reduce opacity: opacity: .5; filter: alpha(opacity=50); */
.anythingSlider .arrow.disabled {
	display: none;
}
/* all panels inside the slider; horizontal mode */
.anythingSlider .panel {
	background: transparent;
	display: block;
	overflow: hidden;
	float: left;
	padding: 0;
	margin: 0;
}
/* vertical mode */
.anythingSlider .vertical .panel {
	float: none;
}
/* fade mode */
.anythingSlider .fade .panel {
	float: none;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 0;
}
/* fade mode active page - visible & on top */
.anythingSlider .fade .activePage {
	z-index: 1;
}

/***********************
  RTL STYLING
 ***********************/
/* slider autoplay right-to-left, reverse order of nav links to look better */
.anythingSlider.rtl .anythingWindow {
	direction: ltr;
	unicode-bidi: bidi-override;
}
.anythingSlider.rtl .anythingControls ul { float: left; } /* move nav link group to left */
.anythingSlider.rtl .anythingControls ul a { float: right; } /* reverse order of nav links */
.anythingSlider.rtl .start-stop { /* float: right; */ } /* move start/stop button - in case you want to switch sides */

/* probably not necessary, but added just in case */
.anythingSlider,
.anythingSlider .anythingWindow,
.anythingSlider .anythingControls ul a,
.anythingSlider .arrow a,
.anythingSlider .start-stop {
	transition-duration: 0;
	-o-transition-duration: 0;
	-moz-transition-duration: 0;
	-webkit-transition-duration: 0;
}

